> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Integration overview — Transaction and Activity Monitoring

## Prerequisites

<Steps>
  <Step title="Get access to the APIs and authenticate">
    Your Customer Success Manager will provide you with a starter pack containing everything you need for each environment. You should have the following:

    | Resource                                                                   | UAT / Sandbox                                                    | Production                                               |
    | -------------------------------------------------------------------------- | ---------------------------------------------------------------- | -------------------------------------------------------- |
    | Portal URL                                                                 | [https://portal.uat.frankie.one](https://portal.uat.frankie.one) | [https://portal.frankie.one](https://portal.frankie.one) |
    | API Base URL for Onboarding Fraud, and Transaction and Activity monitoring | [https://api.uat.frankie.one/v2](https://api.uat.frankie.one/v2) | [https://api.frankie.one/v2](https://api.frankie.one/v2) |
    | Customer ID                                                                | Your unique UAT Customer ID                                      | Your unique Production Customer ID                       |
    | API Key                                                                    | Your secret UAT API Key                                          | Your secret Production API Key                           |

    <Accordion title="Test your connection">
      The easiest way to verify that your credentials and connection are working is to call our simple health check endpoint: /ruok. This endpoint doesn’t require a request body and is used purely to confirm successful authentication.

      ### Request - Health check

      ```bash theme={null}
      curl --location '[https://api.uat.frankie.one/v2/kyc/ruok](https://api.uat.frankie.one/v2/kyc/ruok)' \--header 'api_key: {{your_uat_api_key}}' \--header 'X-Frankie-CustomerId: {{your_uat_customer_id}}'
      ```

      ### Response

      If you receive an error, double-check that your API key and Customer ID are correct and that you are using the correct base URL for the environment.
    </Accordion>

    Refer to the [authentication](/docs/reference/authentication) page for more details.
  </Step>

  <Step title="Set up risk rules in the rule engine">
    <Warning>
      FrankieOne must configure device and behavioral intelligence for your account. This includes advanced features such as:

      * Detecting multiple users linked to one device
      * IP address analysis
      * Phone and mouse movement patterns
      * High-risk information entry (for example, excessive copying and pasting)
      * Remote software detection

      Contact your Customer Success Manager to enable or adjust this feature.
    </Warning>
  </Step>

  <Step title="Setup queues for routine-based (batch) alerts">
    <Warning>
      FrankieOne will help configure queue names and rules that should be detected in those queues. Contact your Customer Success Manager to enable or adjust this feature.
    </Warning>
  </Step>
</Steps>

## Integration overview

* OneSDK: Capture device and location details to have them evaluated by the system.
* KYC API: Capture phone and email details for the entity so they can be checked or evaluated by the system.
* Transaction and Activity Monitoring API: Send financial transactions and non-financial activities (for example, registration, login, account changes) for evaluation against configured fraud and AML rulesets.

| Product function                   | OneSDK                                | KYC API              | **Transaction and Activity Monitoring API** |
| :--------------------------------- | :------------------------------------ | :------------------- | ------------------------------------------- |
| Onboarding fraud (data collection) | Phone, email, device, location checks | Phone and email only | Not applicable                              |
| AML transaction and activity       | Phone, email, device, location checks | Phone and email only | AML transaction alerts                      |
| Fraud transaction and activity     | Phone, email, device, location checks | Phone and email only | Fraud and behavior alerts                   |
| Review and manage                  | FrankieOne Portal                     | FrankieOne Portal    | FrankieOne Portal                           |

View the data in FrankieOne Portal for a cohesive and unified view of phone, email, device, location, and fraud checks. Data and check results are available on the entity view's workflow events page.
